// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.36.5
// 	protoc        v5.29.3
// source: internal/module/agentk2kas_tunnel/router/router.proto

package router

import (
	reflect "reflect"
	sync "sync"
	unsafe "unsafe"

	_ "buf.build/gen/go/bufbuild/protovalidate/protocolbuffers/go/buf/validate"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type MultiURL struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	Scheme        string                 `protobuf:"bytes,1,opt,name=scheme" json:"scheme,omitempty"`
	Ip            [][]byte               `protobuf:"bytes,2,rep,name=ip" json:"ip,omitempty"`
	Host          string                 `protobuf:"bytes,3,opt,name=host" json:"host,omitempty"`
	TlsHost       string                 `protobuf:"bytes,4,opt,name=tls_host,json=tlsHost" json:"tls_host,omitempty"`
	Port          uint32                 `protobuf:"varint,5,opt,name=port" json:"port,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *MultiURL) Reset() {
	*x = MultiURL{}
	mi := &file_internal_module_agentk2kas_tunnel_router_router_proto_msgTypes[0]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *MultiURL) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*MultiURL) ProtoMessage() {}

func (x *MultiURL) ProtoReflect() protoreflect.Message {
	mi := &file_internal_module_agentk2kas_tunnel_router_router_proto_msgTypes[0]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use MultiURL.ProtoReflect.Descriptor instead.
func (*MultiURL) Descriptor() ([]byte, []int) {
	return file_internal_module_agentk2kas_tunnel_router_router_proto_rawDescGZIP(), []int{0}
}

func (x *MultiURL) GetScheme() string {
	if x != nil {
		return x.Scheme
	}
	return ""
}

func (x *MultiURL) GetIp() [][]byte {
	if x != nil {
		return x.Ip
	}
	return nil
}

func (x *MultiURL) GetHost() string {
	if x != nil {
		return x.Host
	}
	return ""
}

func (x *MultiURL) GetTlsHost() string {
	if x != nil {
		return x.TlsHost
	}
	return ""
}

func (x *MultiURL) GetPort() uint32 {
	if x != nil {
		return x.Port
	}
	return 0
}

var File_internal_module_agentk2kas_tunnel_router_router_proto protoreflect.FileDescriptor

var file_internal_module_agentk2kas_tunnel_router_router_proto_rawDesc = string([]byte{
	0x0a, 0x35, 0x69, 0x6e, 0x74, 0x65, 0x72, 0x6e, 0x61, 0x6c, 0x2f, 0x6d, 0x6f, 0x64, 0x75, 0x6c,
	0x65, 0x2f, 0x61, 0x67, 0x65, 0x6e, 0x74, 0x6b, 0x32, 0x6b, 0x61, 0x73, 0x5f, 0x74, 0x75, 0x6e,
	0x6e, 0x65, 0x6c, 0x2f, 0x72, 0x6f, 0x75, 0x74, 0x65, 0x72, 0x2f, 0x72, 0x6f, 0x75, 0x74, 0x65,
	0x72, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x1e, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e,
	0x61, 0x67, 0x65, 0x6e, 0x74, 0x2e, 0x61, 0x67, 0x65, 0x6e, 0x74, 0x6b, 0x32, 0x6b, 0x61, 0x73,
	0x5f, 0x74, 0x75, 0x6e, 0x6e, 0x65, 0x6c, 0x1a, 0x1b, 0x62, 0x75, 0x66, 0x2f, 0x76, 0x61, 0x6c,
	0x69, 0x64, 0x61, 0x74, 0x65, 0x2f, 0x76, 0x61, 0x6c, 0x69, 0x64, 0x61, 0x74, 0x65, 0x2e, 0x70,
	0x72, 0x6f, 0x74, 0x6f, 0x22, 0xa5, 0x02, 0x0a, 0x08, 0x4d, 0x75, 0x6c, 0x74, 0x69, 0x55, 0x52,
	0x4c, 0x12, 0x1f, 0x0a, 0x06, 0x73, 0x63, 0x68, 0x65, 0x6d, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28,
	0x09, 0x42, 0x07, 0xba, 0x48, 0x04, 0x72, 0x02, 0x20, 0x01, 0x52, 0x06, 0x73, 0x63, 0x68, 0x65,
	0x6d, 0x65, 0x12, 0x1c, 0x0a, 0x02, 0x69, 0x70, 0x18, 0x02, 0x20, 0x03, 0x28, 0x0c, 0x42, 0x0c,
	0xba, 0x48, 0x09, 0x92, 0x01, 0x06, 0x22, 0x04, 0x7a, 0x02, 0x50, 0x01, 0x52, 0x02, 0x69, 0x70,
	0x12, 0x12, 0x0a, 0x04, 0x68, 0x6f, 0x73, 0x74, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04,
	0x68, 0x6f, 0x73, 0x74, 0x12, 0x19, 0x0a, 0x08, 0x74, 0x6c, 0x73, 0x5f, 0x68, 0x6f, 0x73, 0x74,
	0x18, 0x04, 0x20, 0x01, 0x28, 0x09, 0x52, 0x07, 0x74, 0x6c, 0x73, 0x48, 0x6f, 0x73, 0x74, 0x12,
	0x1d, 0x0a, 0x04, 0x70, 0x6f, 0x72, 0x74, 0x18, 0x05, 0x20, 0x01, 0x28, 0x0d, 0x42, 0x09, 0xba,
	0x48, 0x06, 0x2a, 0x04, 0x18, 0xff, 0xff, 0x03, 0x52, 0x04, 0x70, 0x6f, 0x72, 0x74, 0x3a, 0x8b,
	0x01, 0xba, 0x48, 0x87, 0x01, 0x1a, 0x84, 0x01, 0x0a, 0x0e, 0x69, 0x70, 0x5f, 0x6f, 0x72, 0x5f,
	0x68, 0x6f, 0x73, 0x74, 0x5f, 0x73, 0x65, 0x74, 0x12, 0x1d, 0x65, 0x69, 0x74, 0x68, 0x65, 0x72,
	0x20, 0x69, 0x70, 0x20, 0x6f, 0x72, 0x20, 0x68, 0x6f, 0x73, 0x74, 0x20, 0x6d, 0x75, 0x73, 0x74,
	0x20, 0x62, 0x65, 0x20, 0x73, 0x65, 0x74, 0x1a, 0x53, 0x28, 0x74, 0x68, 0x69, 0x73, 0x2e, 0x68,
	0x6f, 0x73, 0x74, 0x20, 0x21, 0x3d, 0x20, 0x27, 0x27, 0x20, 0x26, 0x26, 0x20, 0x74, 0x68, 0x69,
	0x73, 0x2e, 0x69, 0x70, 0x2e, 0x73, 0x69, 0x7a, 0x65, 0x28, 0x29, 0x20, 0x3d, 0x3d, 0x20, 0x30,
	0x29, 0x20, 0x7c, 0x7c, 0x20, 0x28, 0x74, 0x68, 0x69, 0x73, 0x2e, 0x68, 0x6f, 0x73, 0x74, 0x20,
	0x3d, 0x3d, 0x20, 0x27, 0x27, 0x20, 0x26, 0x26, 0x20, 0x74, 0x68, 0x69, 0x73, 0x2e, 0x69, 0x70,
	0x2e, 0x73, 0x69, 0x7a, 0x65, 0x28, 0x29, 0x20, 0x3e, 0x20, 0x30, 0x29, 0x42, 0x6a, 0x5a, 0x63,
	0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63, 0x6f, 0x6d, 0x2f, 0x67, 0x69, 0x74, 0x6c, 0x61,
	0x62, 0x2d, 0x6f, 0x72, 0x67, 0x2f, 0x63, 0x6c, 0x75, 0x73, 0x74, 0x65, 0x72, 0x2d, 0x69, 0x6e,
	0x74, 0x65, 0x67, 0x72, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x2f, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62,
	0x2d, 0x61, 0x67, 0x65, 0x6e, 0x74, 0x2f, 0x76, 0x31, 0x37, 0x2f, 0x69, 0x6e, 0x74, 0x65, 0x72,
	0x6e, 0x61, 0x6c, 0x2f, 0x6d, 0x6f, 0x64, 0x75, 0x6c, 0x65, 0x2f, 0x61, 0x67, 0x65, 0x6e, 0x74,
	0x6b, 0x32, 0x6b, 0x61, 0x73, 0x5f, 0x74, 0x75, 0x6e, 0x6e, 0x65, 0x6c, 0x2f, 0x72, 0x6f, 0x75,
	0x74, 0x65, 0x72, 0x92, 0x03, 0x02, 0x08, 0x02, 0x62, 0x08, 0x65, 0x64, 0x69, 0x74, 0x69, 0x6f,
	0x6e, 0x73, 0x70, 0xe8, 0x07,
})

var (
	file_internal_module_agentk2kas_tunnel_router_router_proto_rawDescOnce sync.Once
	file_internal_module_agentk2kas_tunnel_router_router_proto_rawDescData []byte
)

func file_internal_module_agentk2kas_tunnel_router_router_proto_rawDescGZIP() []byte {
	file_internal_module_agentk2kas_tunnel_router_router_proto_rawDescOnce.Do(func() {
		file_internal_module_agentk2kas_tunnel_router_router_proto_rawDescData = protoimpl.X.CompressGZIP(unsafe.Slice(unsafe.StringData(file_internal_module_agentk2kas_tunnel_router_router_proto_rawDesc), len(file_internal_module_agentk2kas_tunnel_router_router_proto_rawDesc)))
	})
	return file_internal_module_agentk2kas_tunnel_router_router_proto_rawDescData
}

var file_internal_module_agentk2kas_tunnel_router_router_proto_msgTypes = make([]protoimpl.MessageInfo, 1)
var file_internal_module_agentk2kas_tunnel_router_router_proto_goTypes = []any{
	(*MultiURL)(nil), // 0: gitlab.agent.agentk2kas_tunnel.MultiURL
}
var file_internal_module_agentk2kas_tunnel_router_router_proto_depIdxs = []int32{
	0, // [0:0] is the sub-list for method output_type
	0, // [0:0] is the sub-list for method input_type
	0, // [0:0] is the sub-list for extension type_name
	0, // [0:0] is the sub-list for extension extendee
	0, // [0:0] is the sub-list for field type_name
}

func init() { file_internal_module_agentk2kas_tunnel_router_router_proto_init() }
func file_internal_module_agentk2kas_tunnel_router_router_proto_init() {
	if File_internal_module_agentk2kas_tunnel_router_router_proto != nil {
		return
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: unsafe.Slice(unsafe.StringData(file_internal_module_agentk2kas_tunnel_router_router_proto_rawDesc), len(file_internal_module_agentk2kas_tunnel_router_router_proto_rawDesc)),
			NumEnums:      0,
			NumMessages:   1,
			NumExtensions: 0,
			NumServices:   0,
		},
		GoTypes:           file_internal_module_agentk2kas_tunnel_router_router_proto_goTypes,
		DependencyIndexes: file_internal_module_agentk2kas_tunnel_router_router_proto_depIdxs,
		MessageInfos:      file_internal_module_agentk2kas_tunnel_router_router_proto_msgTypes,
	}.Build()
	File_internal_module_agentk2kas_tunnel_router_router_proto = out.File
	file_internal_module_agentk2kas_tunnel_router_router_proto_goTypes = nil
	file_internal_module_agentk2kas_tunnel_router_router_proto_depIdxs = nil
}
